# Interface methods for submodule: MultiResolutionImageRegistrationMethod
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: MultiResolutionImageRegistrationMethod
class MultiResolutionImageRegistrationMethodProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def StopRegistration(self) -> None:
		""""""
		...

	def SetFixedImage(self, _arg) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, _arg) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetOptimizer(self, _arg) -> None:
		""""""
		...

	def GetModifiableOptimizer(self):
		""""""
		...

	def GetOptimizer(self):
		""""""
		...

	def SetMetric(self, _arg) -> None:
		""""""
		...

	def GetModifiableMetric(self):
		""""""
		...

	def GetMetric(self):
		""""""
		...

	def SetFixedImageRegion(self, _arg: ImageRegion) -> None:
		""""""
		...

	def GetFixedImageRegion(self) -> ImageRegion:
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetInterpolator(self, _arg) -> None:
		""""""
		...

	def GetModifiableInterpolator(self):
		""""""
		...

	def GetInterpolator(self):
		""""""
		...

	def SetFixedImagePyramid(self, _arg) -> None:
		""""""
		...

	def GetModifiableFixedImagePyramid(self):
		""""""
		...

	def GetFixedImagePyramid(self):
		""""""
		...

	def SetMovingImagePyramid(self, _arg) -> None:
		""""""
		...

	def GetModifiableMovingImagePyramid(self):
		""""""
		...

	def GetMovingImagePyramid(self):
		""""""
		...

	def SetSchedules(self, fixedImagePyramidSchedule, movingImagePyramidSchedule) -> None:
		""""""
		...

	def GetFixedImagePyramidSchedule(self):
		""""""
		...

	def GetMovingImagePyramidSchedule(self):
		""""""
		...

	def SetNumberOfLevels(self, numberOfLevels: int) -> None:
		""""""
		...

	def GetNumberOfLevels(self) -> int:
		""""""
		...

	def GetCurrentLevel(self) -> int:
		""""""
		...

	def SetInitialTransformParameters(self, _arg) -> None:
		""""""
		...

	def GetInitialTransformParameters(self):
		""""""
		...

	def SetInitialTransformParametersOfNextLevel(self, _arg) -> None:
		""""""
		...

	def GetInitialTransformParametersOfNextLevel(self):
		""""""
		...

	def GetLastTransformParameters(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def MakeOutput(self, output: int):
		""""""
		...

	def GetMTime(self) -> int:
		""""""
		...

